Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObservableList.ElementEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableList.ElementEvent

    public static abstract class ObservableList.ElementEvent
    extends PropertyChangeEvent

Field Summary
`static int` | `ADDED`
`static int` | `CLEARED`
`static int` | `MULTI_ADD`
`static int` | `MULTI_REMOVE`
`protected static Object` | `NEWVALUE`
`protected static Object` | `OLDVALUE`
`static int` | `REMOVED`
`static int` | `UPDATED`

Constructor Summary
`ObservableList.ElementEvent(Object source, Object oldValue, Object newValue, int index, int type)`

Method Summary
`int` | `getIndex()`
`int` | `getType()`
`String` | `getTypeAsString()`

Methods inherited from class PropertyChangeEvent
toString, getPropertyName, getNewValue, getOldValue, getPropagationId, setPropagationId, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class EventObject
toString, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ADDED

    public static final int ADDED

### CLEARED

    public static final int CLEARED

### MULTI_ADD

    public static final int MULTI_ADD

### MULTI_REMOVE

    public static final int MULTI_REMOVE

### NEWVALUE

    protected static final Object NEWVALUE

### OLDVALUE

    protected static final Object OLDVALUE

### REMOVED

    public static final int REMOVED

### UPDATED

    public static final int UPDATED

Constructor Detail

### ObservableList.ElementEvent

    public ObservableList.ElementEvent(Object source, Object oldValue, Object newValue, int index, int type)

Method Detail

### getIndex

    public int getIndex()

### getType

    public int getType()

### getTypeAsString

    public String getTypeAsString()

Copyright © 2003-2010 The Codehaus. All rights reserved.